package intrinsic.mx.messaging;

public class Channel extends intrinsic.flash.events.EventDispatcher implements intrinsic.mx.core.IMXMLObject {

	/** Accessors */
	public String uri;
	public boolean recordMessageSizes;
	public String protocol;
	public String endpoint;
	public int connectTimeout;
	public boolean loginAfterDisconnect;
	public boolean realtime;
	public intrinsic.Array failoverURIs;
	public boolean connected;
	public boolean reconnecting;
	public int requestTimeout;
	public boolean authenticated;
	public boolean mpiEnabled;
	public intrinsic.Array channelSets;
	public boolean recordMessageTimes;
	public String id;

	/** Variables */
	public boolean authenticating;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Channel() {
}

public Channel(String arg0) {
}

public Channel(String arg0, String arg1) {
}


/** Static Methods */

/** Methods */
public native void setCredentials(String arg0);
public native void setCredentials(String arg0, intrinsic.mx.messaging.MessageAgent arg1);
public native void setAuthenticated(boolean arg0);
public native void sendClusterRequest(intrinsic.mx.messaging.MessageResponder arg0);
public native void connect(intrinsic.mx.messaging.ChannelSet arg0);
public native void initialized(Object arg0, String arg1);
public native void logout(intrinsic.mx.messaging.MessageAgent arg0);
public native void applySettings(intrinsic.XML arg0);
public native void disconnect(intrinsic.mx.messaging.ChannelSet arg0);
public native void send(intrinsic.mx.messaging.MessageAgent arg0, intrinsic.mx.messaging.messages.IMessage arg1);

}
